## net.dontdrinkandroot.lastfm.api.model
Class Library

    java.lang.Object
      net.dontdrinkandroot.lastfm.api.model.Library

    public class Library

extends java.lang.Object

Constructor Summary
`Library()`

Method Summary
`static PostQuery<java.lang.Boolean>` `addAlbum(java.lang.String artist, java.lang.String album, java.lang.String sk)` Add an album to a user's Last.fm library.
`static PostQuery<java.lang.Boolean>` `addArtist(java.lang.String artist, java.lang.String sk)` Add an artist to a user's Last.fm library.
`static PostQuery<java.lang.Boolean>` `addTrack(java.lang.String artist, java.lang.String track, java.lang.String sk)` Add a track to a user's Last.fm library.
`static UnauthenticatedGetQuery<PaginatedResult<java.util.List<Album>>>` `getAlbums(java.lang.String user, java.lang.String artist, java.lang.Integer limit, java.lang.Integer page)` A paginated list of all the albums in a user's library, with playcounts and tag counts.
`static UnauthenticatedGetQuery<GenericPaginatedResult<java.util.List<Artist>>>` `getArtists(java.lang.String user, java.lang.Integer limit, java.lang.Integer page)` A paginated list of all the artists in a user's library, with playcounts and tag counts.
`static UnauthenticatedGetQuery<PaginatedResult<java.util.List<Track>>>` `getTracks(java.lang.String user, java.lang.String artist, java.lang.String album, java.lang.Integer limit, java.lang.Integer page)` A paginated list of all the tracks in a user's library, with play counts and tag counts.
`static PostQuery<java.lang.Boolean>` `removeAlbum(java.lang.String artist, java.lang.String album, java.lang.String sk)` Remove an album from a user's Last.fm library.
`static PostQuery<java.lang.Boolean>` `removeArtist(java.lang.String artist, java.lang.String sk)` Remove an artist to a user's Last.fm library.
`static PostQuery<java.lang.Boolean>` `removeScrobble(java.lang.String artist, java.lang.String track, java.lang.Long timestamp, java.lang.String sk)` Remove a scrobble from a user's Last.fm library.
`static PostQuery<java.lang.Boolean>` `removeTrack(java.lang.String artist, java.lang.String track, java.lang.String sk)` Remove a track to a user's Last.fm library.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Library

    public Library()

Method Detail

### addAlbum

    public static PostQuery<java.lang.Boolean> addAlbum(java.lang.String artist,
                                                        java.lang.String album,
                                                        java.lang.String sk)

  Add an album to a user's Last.fm library.

  Parameters:
    `artist` - The artist that composed the track (Required).
    `album` - The album name you wish to add (Required).
    `sk` - A session key generated by authenticating a user via the authentication protocol (Required).
  Returns:

### addArtist

    public static PostQuery<java.lang.Boolean> addArtist(java.lang.String artist,
                                                         java.lang.String sk)

  Add an artist to a user's Last.fm library.

  Parameters:
    `artist` - The artist name you wish to add (Required).
    `sk` - A session key generated by authenticating a user via the authentication protocol (Required).
  Returns:

### addTrack

    public static PostQuery<java.lang.Boolean> addTrack(java.lang.String artist,
                                                        java.lang.String track,
                                                        java.lang.String sk)

  Add a track to a user's Last.fm library.

  Parameters:
    `artist` - The artist that composed the track (Required).
    `track` - The track name you wish to add (Required).
    `sk` - A session key generated by authenticating a user via the authentication protocol (Required).
  Returns:

### getAlbums

    public static UnauthenticatedGetQuery<PaginatedResult<java.util.List<Album>>> getAlbums(java.lang.String user,
                                                                                            java.lang.String artist,
                                                                                            java.lang.Integer limit,
                                                                                            java.lang.Integer page)

  A paginated list of all the albums in a user's library, with playcounts and tag counts.

  Parameters:
    `user` - The user whose library you want to fetch. (Required).
    `artist` - An artist by which to filter tracks (Optional).
    `limit` - Limit the amount of albums returned (Optional) (maximum/default is 50).
    `page` - The page number you wish to scan to (Optional).
  Returns:

### getArtists

    public static UnauthenticatedGetQuery<GenericPaginatedResult<java.util.List<Artist>>> getArtists(java.lang.String user,
                                                                                                     java.lang.Integer limit,
                                                                                                     java.lang.Integer page)

  A paginated list of all the artists in a user's library, with playcounts and tag counts.

  Parameters:
    `user` - The user whose library you want to fetch (Required).
    `limit` - Limit the amount of artists returned (Optional) (maximum/default is 50).
    `page` - The page number you wish to scan to (Optional).
  Returns:

### getTracks

    public static UnauthenticatedGetQuery<PaginatedResult<java.util.List<Track>>> getTracks(java.lang.String user,
                                                                                            java.lang.String artist,
                                                                                            java.lang.String album,
                                                                                            java.lang.Integer limit,
                                                                                            java.lang.Integer page)

  A paginated list of all the tracks in a user's library, with play counts and tag counts.

  Parameters:
    `user` - The user whose library you want to fetch. (Required).
    `artist` - An artist by which to filter tracks (Optional).
    `album` - An album by which to filter tracks (needs an artist) (Optional).
    `limit` - Limit the amount of tracks returned (maximum/default is 50) (Optional).
    `page` - The page number you wish to scan to (Optional).
  Returns:

### removeAlbum

    public static PostQuery<java.lang.Boolean> removeAlbum(java.lang.String artist,
                                                           java.lang.String album,
                                                           java.lang.String sk)

  Remove an album from a user's Last.fm library.

  Parameters:
    `artist` - The artist that composed the track (Required).
    `album` - The album name you wish to remove (Required).
    `sk` - A session key generated by authenticating a user via the authentication protocol (Required).
  Returns:

### removeArtist

    public static PostQuery<java.lang.Boolean> removeArtist(java.lang.String artist,
                                                            java.lang.String sk)

  Remove an artist to a user's Last.fm library.

  Parameters:
    `artist` - The artist name you wish to remove (Required).
    `sk` - A session key generated by authenticating a user via the authentication protocol (Required).
  Returns:

### removeScrobble

    public static PostQuery<java.lang.Boolean> removeScrobble(java.lang.String artist,
                                                              java.lang.String track,
                                                              java.lang.Long timestamp,
                                                              java.lang.String sk)

  Remove a scrobble from a user's Last.fm library.

  Parameters:
    `artist` - The artist that composed the track (Required).
    `track` - The name of the track (Required).
    `timestamp` - The unix timestamp of the scrobble that you wish to remove (Required).
    `sk` - A session key generated by authenticating a user via the authentication protocol (Required).
  Returns:

### removeTrack

    public static PostQuery<java.lang.Boolean> removeTrack(java.lang.String artist,
                                                           java.lang.String track,
                                                           java.lang.String sk)

  Remove a track to a user's Last.fm library.

  Parameters:
    `artist` - The artist that composed the track (Required).
    `track` - The track name you wish to remove (Required).
    `sk` - A session key generated by authenticating a user via the authentication protocol (Required).
  Returns:

Copyright © 2012. All Rights Reserved.